DOMCharacterData::deleteData
DOMCharacterData::replaceData
DOMCharacterData
PHP Manual

# DOMCharacterData::insertData

(No version information available, might be only in CVS)

DOMCharacterData::insertData — Insert a string at the specified 16-bit unit offset

### Description

void DOMCharacterData::insertData ( int `$offset` , string `$data` )

Inserts string `data` at position `offset` .

### Parameters

`offset`

  The character offset at which to insert.

`data`

  The string to insert.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data.

### See Also

- DOMCharacterData::appendData
- DOMCharacterData::deleteData
- DOMCharacterData::replaceData
- DOMCharacterData::substringData

DOMCharacterData::deleteData
DOMCharacterData::replaceData
DOMCharacterData
PHP Manual